Tp::FixedFeatureFactory Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions | List of all members
Tp::FixedFeatureFactory Class Reference
Utililty classes

The FixedFeatureFactory class is a base class for all D-Bus proxy factories which want the same set of features for all constructed proxies. More...

`#include <TelepathyQt/FixedFeatureFactory>`

Inherits Tp::DBusProxyFactory.

Inherited by Tp::AccountFactory, and Tp::ConnectionFactory.

## Public Member Functions
virtual | ~FixedFeatureFactory ()
Features | features () const
void | addFeature (const Feature &feature)
void | addFeatures (const Features &features)
Public Member Functions inherited from Tp::DBusProxyFactory
virtual | ~DBusProxyFactory ()
const QDBusConnection & | dbusConnection () const
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Protected Member Functions
| FixedFeatureFactory (const QDBusConnection &bus)
virtual Features | featuresFor (const DBusProxyPtr &proxy) const
Protected Member Functions inherited from Tp::DBusProxyFactory
| DBusProxyFactory (const QDBusConnection &bus)
DBusProxyPtr | cachedProxy (const QString &busName, const QString &objectPath) const
PendingReady * | nowHaveProxy (const DBusProxyPtr &proxy) const
virtual QString | finalBusNameFrom (const QString &uniqueOrWellKnown) const =0
virtual PendingOperation * | initialPrepare (const DBusProxyPtr &proxy) const
virtual PendingOperation * | readyPrepare (const DBusProxyPtr &proxy) const

## Detailed Description

The FixedFeatureFactory class is a base class for all D-Bus proxy factories which want the same set of features for all constructed proxies.

## Constructor & Destructor Documentation

Tp::FixedFeatureFactory::~FixedFeatureFactory | ( |  | ) |
| virtual

Class destructor.

Tp::FixedFeatureFactory::FixedFeatureFactory | ( | const QDBusConnection & | bus | ) |
| protected

Class constructor.

The intention for storing the bus here is that it generally doesn't make sense to construct proxies for multiple buses in the same context. Allowing that would lead to more complex keying needs in the cache, as well.

Parameters

  bus | The D-Bus bus connection for the objects constructed using this factory.

## Member Function Documentation

Features Tp::FixedFeatureFactory::features | ( |  | ) | const

Gets the features this factory will make ready on constructed proxies.

Returns
  The set of features.

void Tp::FixedFeatureFactory::addFeature | ( | const Feature & | feature | ) |

Adds a single feature this factory will make ready on further constructed proxies.

No feature removal is provided, to guard against uncooperative modules removing features other modules have set and depend on.

Parameters

  feature | The feature to add.

void Tp::FixedFeatureFactory::addFeatures | ( | const Features & | features | ) |

Adds a set of features this factory will make ready on further constructed proxies.

No feature removal is provided, to guard against uncooperative modules removing features other modules have set and depend on.

Parameters

  features | The features to add.

Features Tp::FixedFeatureFactory::featuresFor | ( | const DBusProxyPtr & | proxy | ) | const
| protectedvirtual

Fixed implementation of the per-proxy feature getter.

Returns
  features(), irrespective of the actual proxy.

Implements Tp::DBusProxyFactory.